%define oname fipy
Name: python-module-%oname
Version: 2.0.2
Release: alt3
Summary: Partial differential equation (PDE) solver
License: Public
Group: Development/Python
Url: http://www.ctcms.nist.gov/fipy
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: FiPy-%version.tar.gz
BuildArch: noarch

BuildPreReq: python-devel python-module-numpy python-module-pysparse
%setup_python_module %oname

Requires: python-module-gnuplot
%py_requires gist

%description
FiPy is an object oriented, partial differential equation (PDE) solver,
written in Python, based on a standard finite volume (FV) approach

The solution of coupled sets of PDEs is ubiquitous to the numerical
simulation of science problems.  Numerous PDE solvers exist, using a
variety of languages and numerical approaches. Many are proprietary,
expensive and difficult to customize.  As a result, scientists spend
considerable resources repeatedly developing limited tools for
specific problems.  Our approach, combining the FV method and Python_,
provides a tool that is extensible, powerful and freely available. A
significant advantage to Python_ is the existing suite of tools for
array calculations, sparse matrices and data rendering.

%package doc
Summary: Documentation for FiPy
Group: Development/Documentation
BuildArch: noarch

%description doc
FiPy is an object oriented, partial differential equation (PDE) solver,
written in Python, based on a standard finite volume (FV) approach

This package contains documentation for FiPy.

%prep
%setup
#if "%__python_version" != "2.5"
sed -i 's|with|with_|' \
	fipy/viewers/gnuplotViewer/gnuplot1DViewer.py
#endif

%build
%python_build

%install
%python_install

install -d %buildroot%python_sitelibdir/%oname/utils
install -p -m644 utils/* \
	%buildroot%python_sitelibdir/%oname/utils
cp -fR examples %buildroot%python_sitelibdir/%oname/

install -d %buildroot%_docdir/%name
cp -fR documentation/* %buildroot%_docdir/%name/

%files
%python_sitelibdir/*

%files doc
%doc DISCLAIMER.txt LICENSE.txt README.txt
%_docdir/%name

%changelog
* Thu Oct 01 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.2-alt3
- Rebuilt with fixed python2.x(Gnuplot) by upsream

* Mon Sep 28 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.2-alt2
- Added requirement on python2.x(gist)
- Renamed field in class PlotItem of python2.6(gnuplot): with -> style

* Sun Sep 27 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.2-alt1
- Initial build for Sisyphus

